%define major 6
%define libname %mklibname xp %{major}
%define devname %mklibname xp -d
%define sdevname %mklibname xp -d -s

Summary:	X Print library
Name:		libxp
Version:	1.0.3
Release:	6
License:	MIT
Group:		System/Libraries
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXp-%{version}.tar.bz2
Patch0:		libXp-1.0.3-add-printproto.patch
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xproto)

%description
libXp provides public APIs to allow client applications to render to
non-display devices.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	X Print shared library
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
libXp provides public APIs to allow client applications to render to
non-display devices.

%files -n %{libname}
%{_libdir}/libXp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(xproto)
Provides:	%{name}-devel = %{EVRD}
Conflicts:	x11-proto-devel < 2018.4

%description -n %{devname}
Development files for %{name}

%files -n %{devname}
%{_includedir}/X11/extensions/Print.h
%{_includedir}/X11/extensions/Printstr.h
%{_libdir}/libXp.so
%{_libdir}/pkgconfig/printproto.pc
%{_libdir}/pkgconfig/xp.pc
%{_mandir}/man3/Xp*.3*
%{_mandir}/man3/libXp.3*

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
Static development files for %{name}

%files -n %{sdevname}
%{_libdir}/libXp.*a

#----------------------------------------------------------------------------

%prep
%setup -qn libXp-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std


%changelog

* Thu Jun 07 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.3-6
- (2ea16f0) Move printproto files from x11-proto-devel here


